Create Service Request History: Propertyware
POST
https://api.propexo.com/v1/service-request-history/propertyware/| Method |
|---|
| attachNoteToWorkOrder |
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
integration_idstringrequired
The Propexo unique identifier for the integration
service_request_idstringrequired
The Propexo unique identifier for the service request
notesstringrequired
Notes associated with the service request history
titlestringrequired
The title associated with the service request history
Response
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
service_request_idstringrequired
The Propexo unique identifier for the service request
notesstringrequired
Notes associated with the service request history
titlestringrequired
The title associated with the service request history
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/service-request-history/propertyware/
curl -X POST https://api.propexo.com/v1/service-request-history/propertyware/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"service_request_id": "string",
"notes": "string",
"title": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"service_request_id": "string",
"notes": "string",
"title": "string"
}
}